MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002252VCMIMechanics - Battlespublic2015-08-31 14:242016-02-22 17:02
ReporterDydzio 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7OS VersionHome Premium x64
Product Version0.98c 
Target VersionFixed in Version0.98g 
Summary0002252: Town-visiting hero's army replaces garrison army completely when town is attacked
DescriptionProvided screenshots explain the situation. No matter what is in the garrison - it will not be present during castle siege. Screenshot1 shows unit layout for defender, Screenshot2 shows what it looks like when red player is attacked.
TagsNo tags attached.
Attached Fileszip file icon screenshots.zip [^] (2,163,006 bytes) 2015-08-31 14:24

- Relationships
duplicate of 0000169resolvedSXX The visiting hero does not collect the best troops from garrison to fill in his empty army slots when the town is under siege. 
related to 0002344new Dwellings: auto stack merge needed like we have with joining creatures on adventure map 

-  Notes
(0006443)
SXX (administrator)
2016-02-22 17:02

H3-style merging implemented:
https://github.com/vcmi/vcmi/pull/196 [^]

- Issue History
Date Modified Username Field Change
2015-08-31 14:24 Dydzio New Issue
2015-08-31 14:24 Dydzio File Added: screenshots.zip
2015-12-24 12:35 SXX Assigned To => SXX
2015-12-24 12:35 SXX Status new => assigned
2015-12-24 12:37 SXX Relationship added duplicate of 0000169
2015-12-24 19:06 SXX Relationship added related to 0002344
2016-02-22 17:02 SXX Note Added: 0006443
2016-02-22 17:02 SXX Status assigned => resolved
2016-02-22 17:02 SXX Fixed in Version => 0.98g
2016-02-22 17:02 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean